program equacao_nao_linear

	use portlib
	
	implicit none

	character*60 :: arq_saida
	
	integer :: esc ! variável de escolha do método
	
	write(*,*) "Informe o metodo de solucao escolhido:"
	write(*,*) "1 - bissecao; 2 - falsa posicao; 3 - ponto fixo simples"
	write(*,*) "4 - newton raphson; 5 - secante"
	read(*,*) esc

	write(*,*) "Informe o nome do arquivo de saida"
	read(*,*) arq_saida

	select case (esc)

	case(1)
		call bissecao(arq_saida)

	case(2)
		call falsa_posicao(arq_saida)

	case(3)
		call ponto_fixo(arq_saida)

	case(4)
		call newton(arq_saida)

	case(5)
		call secante(arq_saida)

	end select


end program